
/** Forwarding header that includes all the classes of Engine2D
 *
 * Author     Tomi Lamminsaari
 */

#include "animation.h"
#include "animframe.h"
#include "AnimContainer.h"
#include "AStarAlgorithm.h"
#include "bmfont.h"
#include "cgamebase.h"
#include "Color.h"
#include "datatypes.h"
#include "DataWarehouse.h"
#include "DatafileContainer.h"
#include "display.h"
#include "eng2d_Exception.h"
#include "FileHasher.h"
#include "filelist.h"
#include "Font.h"
#include "fpstimer.h"
#include "framegrabber.h"
#include "glyph.h"
#include "glyphset.h"
#include "Gradient.h"
#include "GraphicsContainer.h"
#include "interactive.h"
#include "lightfence.h"
#include "lightfencemanager.h"
#include "mp3file.h"
#include "mp3player.h"
#include "parametertable.h"
#include "particle.h"
#include "particleblood.h"
#include "particleglass.h"
#include "particlemanager.h"
#include "particlesparks.h"
#include "ParticleGunFlames.h"
#include "particlesystem.h"
#include "PathFinderAlgo.h"
#include "poly2d.h"
#include "progressindicator.h"
#include "rect2d.h"
#include "sample.h"
#include "Size2D.h"
#include "sound.h"
#include "soundsource.h"
#include "sprite.h"
#include "spritetools.h"
#include "StreamUtils.h"
#include "tprinter.h"
#include "vec2d.h"
#include "WarehouseFactory.h"
#include "BaseContainer.h"
#include "windingwire.h"
#include "wire.h"



/** @namespace eng2d
 * @par
 * Namespace <code>eng2d</code> contains a collection of classes and
 * functions that are originally taken from several other libraries.
 * They are collected as a new "library" so that it's easier to provide
 * fully functional version of We Want War sourcecode.
 *
 * @brief   Collection of classes that are taken from several other libraries.
 * @author  All the classes inside this namespace are created by
 *          Tomi Lamminsaari
 */
 
