/** @file   HiddenWormAi.h
 * @brief   Declaration of HiddenWormAi class.
 * @version $Revision: 1.1 $
 * @date    $Date: 2006/04/25 18:03:01 $
 * @author  Tomi Lamminsaari
 */

#ifndef H_WWW_HIDDENWORMAI_H
#define H_WWW_HIDDENWORMAI_H

#include "BaseController.h"

namespace WeWantWar {

/** @class  HiddenWormAi
 * @brief
 * @author  Tomi Lamminsaari
 *
 */
class HiddenWormAi : public BaseController
{
public:

  ///
  /// Constants, datatypes and static methods
  /// =======================================

  ///
  /// Constructors, destructor and operators
  /// ======================================

  /** Default constructor.
   * @param   aMaster           Pointer to the object we're controlling.
   */
  HiddenWormAi( GameObject* aMaster );

  /** Destructor
   */
  virtual ~HiddenWormAi();

private:
  HiddenWormAi( const HiddenWormAi& aAnother );
  HiddenWormAi& operator= ( const HiddenWormAi& aAnother );
public:

  ///
  /// Inherited methods
  /// =================

  /** From BaseController
   */
  virtual void update();
  
protected:
  ///
  /// Protected interface
  /// ===================


protected:
  ///
  /// Data members
  /// ============
  
  /** Distance from where we attack. */
  float m_attackDistance;

};

};  // end of namespace

#endif
