/** @file   ScoresAnimations.rh
 * @brief   Defines the Scores animation indices within the animation container.
 * @version $Revision: 1.1 $
 * @date    $Date: 2006/04/03 20:54:19 $
 * @author  Tomi Lamminsaari
 */

#ifndef H_WWW_SCORES_ANIMATIONS_H
#define H_WWW_SCORES_ANIMATIONS_H

#include "ObjectId.h"

namespace WeWantWar {
  
class ScoresAnimation
{
public:
  /** Returns the uid of the animation that shows the scores granted to player
   * when he kills an alien.
   * @param   aObjectType       Type of the object the player just killed.
   * @return  Animation uid or -1 if no animation found.
   */
  static int getKillScoresAnimationUid( ObjectID::Type aObjectType );
};
  
};

#endif
